@ECHO OFF

pushd %~dp0

REM Command file for Sphinx documentation

if "%SPHINXBUILD%" == "" (
	set SPHINXBUILD=sphinx-build
)
set SOURCEDIR=source
set BUILDDIR=_build

if "%1" == "" goto help
if "%1" == "github" goto github

%SPHINXBUILD% >NUL 2>NUL
if errorlevel 9009 (
	echo.
	echo.The 'sphinx-build' command was not found. Make sure you have Sphinx
	echo.installed, then set the SPHINXBUILD environment variable to point
	echo.to the full path of the 'sphinx-build' executable. Alternatively you
	echo.may add the Sphinx directory to PATH.
	echo.
	echo.If you don't have Sphinx installed, grab it from
	echo.http://sphinx-doc.org/
	exit /b 1
)

%SPHINXBUILD% -M %1 %SOURCEDIR% %BUILDDIR% %SPHINXOPTS% %O%
goto end

:help
%SPHINXBUILD% -M help %SOURCEDIR% %BUILDDIR% %SPHINXOPTS% %O%
goto end

:github
mkdir source\_examples
xcopy /y /s ..\INSTALL.rst source\installation.rst
xcopy /y /s ..\CONTRIBUTING.md source\contributing.md
xcopy /y /s ..\examples source\_examples
rmdir /q /s source\_examples\in_progress
%SPHINXBUILD% -M html %SOURCEDIR% %BUILDDIR% %SPHINXOPTS% %O%
xcopy /y /s "%BUILDDIR%\html" ..\docs
xcopy /y .nojekyll ..\docs\.nojekyll
rmdir /q /s source\_examples
rmdir /q /s _build\html\
del /q /s source\installation.rst
del /q /s source\contributing.md
goto end

:clean
del /q /s ..\docs\*
rmdir /q /s %BUILDDIR%

:end
popd
